Bug 21324 - Две ошибки в скриптах инсталлятора (05-vm-profile и 25-setup-dhcp.sh).
: Две ошибки в скриптах инсталлятора (05-vm-profile и 25-setup-dhcp.sh).
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer-distro-junior-stage2)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 19564
  Show dependency tree
 
Reported: 2009-09-01 08:22 by
Modified: 2009-09-29 12:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-01 08:22:18
При установке бета версии дистрибутива Мастер (Школьный) 5. 
До стадии развёртывания пакетов на первом экране (Ctrl-Alt-F1) появляются
сообщения об ошибках:

/usr/share/install2/initinstall.d/05-vm-profile: line 20: [: missing `]'

прямо перед запуском 10-disk.sh и

/usr/share/install2/initinstall.d/25-setup-dhcp.sh: line 24: ifaddbr: command
not found

Ошибка dhcp появляется после того, как dhcpcd обломился получить адрес по
отключённому интерфейсу eth0 (витая пара). На экране она появляется сразу после
строк

Running initinstall script [90-pkg.sh] [DONE]
Starting Xorg server...
eth0: timed out
------- Comment #1 From 2009-09-04 10:54:52 -------
(In reply to comment #0)
> /usr/share/install2/initinstall.d/05-vm-profile: line 20: [: missing `]'
Это, вероятно, installer-distro-junior-stage2 (файл встречается и в других
installer-$distro-stage2).

> /usr/share/install2/initinstall.d/25-setup-dhcp.sh:
> line 24: ifaddbr: command not found
А это installer-feature-setup-network-stage2 -- стоит повесить отдельной багой
(и да, подтверждаю).
------- Comment #2 From 2009-09-29 12:41:01 -------
installer-distro-desktop-5.0-alt20 -> sisyphus:

* Tue Sep 29 2009 Anton V. Boyarshinov <boyarsh@altlinux> 5.0-alt20

- 05-vm-profile fixed (closes: 21324)